#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/backroom.c,v 1.4 1999/08/07 00:27:03 kc Exp $")

#include "bb.h"

void backroom (char *parameter)
{
  result_list *directory;
  directory_info *entry;
  int j, i;
  int found = -1;

  if(*parameter) {
    fprintf(stderr, "unexpected input: '%s'\n", parameter);
    return;
  }
  do_connect();
  if(!(directory = client_directory())) {
    fprintf(stderr, "Error getting directory from server\n%s\n",
	    client_error);
    return;
  }
  for(j=0; j<2; j++) {
    if (j == 1 && found == -1) found = 0;
    for(i=directory->count; i>=0; i--) {
      entry = (directory_info *) directory->list[i];
      if ((found == -1) && (strcmp(entry->name, Roomname) == 0))
	found = i;
      else if ((found != -1)
	       && !Hidden(entry)
	       && entry->new_messages) {
	selectroom(entry->name);
        return;
      }
    }
  }
  if(Snide) fprintf(cmdout, "No more messages, dude.\n");
  else fprintf(cmdout, "No more messages.\n");
}
