#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/info.c,v 1.4 1999/08/07 00:27:09 kc Exp $")

#include "bb.h"

void info(char *parameter)
{
  user_info *info;
  char *id;

  do_connect();
  do {
    if(isopt(*parameter)) {
      strcpy(parameter, parameter+1);
      fprintf(stderr, "unrecognized qualifier /%s\n", getword(parameter));
      return;
    }
    if(!(info=client_whois(id=getword(parameter)))) {
      fprintf(stderr, "%s: %s\n", id, client_error);
      return;
    }
    fprintf(cmdout, "%s<%s>\n\n", info->nick, info->id);
    if(*info->mail_address)
      fprintf(cmdout, "Mail address: %s\n\n", info->mail_address);
    fprintf(cmdout, "Last accessed from %s\n              at %s\n\n",
	    info->last_access_source, Date(info->last_access_time));
    if(info->uses != 0)
      fprintf(cmdout, "Uses: %d \tPosts: %d \tConnect Time: %d %d:%02d:%02d\n",
	      info->uses,
	      info->posts,
	      info->connect_time/60/60/24,
	      info->connect_time/60/60%24,
	      info->connect_time/60%60,
	      info->connect_time%60);
    else if(Snide)
      fprintf(cmdout, "Uses: hah! \tPosts: none! \tConnect Time: you'd like to know!\n");
    if(*parameter) fprintf(cmdout, "\n\n");
  } while(*parameter);
}
