#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/rename.c,v 1.4 1999/08/07 00:27:14 kc Exp $")

#include "bb.h"

void bb_rename(char *parameter)
{
  char new_name[BUFFERSIZE], group[BUFFERSIZE];
  int opt;
  char *optnames[] = {"group"};
  enum {group_f};
  boolean opts[lengthof(optnames)];

  for(opt=0; opt<lengthof(opts); opt++) opts[opt] = FALSE;
  while(*parameter && isopt(*parameter)) {
    char *word;
    strcpy(parameter, parameter+1);
    if((opt=match(word=getword(parameter), optnames, lengthof(opts)))!=-1) {
      opts[opt] = TRUE;
      switch(opt) {
      case group_f:
	if(*parameter != '=') {
	  fprintf(stderr, "value expected for /%s\n", optnames[opt]);
	  return;
	}
	strcpy(parameter, parameter+1);
	strcpy(group, getword(parameter));
	break;
      }
    } else {
      fprintf(stderr, "unrecognized qualifier /%s\n", word);
      return;
    }
  }
  strcpy(new_name, getword(parameter));
  if(*parameter) {
    fprintf(stderr, "unexpected input: '%s'\n", parameter);
    return;
  }
  if(!*new_name) prompt("new name? ", new_name);
  if(!*new_name) return;
  do_connect();
  if(opts[group_f]) {
    if(!client_group_change(group, new_name, NULL, NULL, NULL, NULL)) {
      fprintf(stderr, "%s\n", client_error);
      return;
    }
    fprintf(cmdout, "renamed group %s to %s\n", group, new_name);
    return;
  }
  if(!client_rename(new_name)) {
    fprintf(stderr, "%s\n", client_error);
    return;
  }
  strcpy(Roomname, new_name);
}
