#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/undelete.c,v 1.4 1999/08/07 00:27:18 kc Exp $")

#include "bb.h"

void undelete(char *parameter)
{
    int old_message = 0;
    boolean message_undeleted = FALSE;

    do {
	if (*parameter) {
	    if (strcmp(Id, "bb") == 0) {
		Last_deleted = get_message_number(parameter, CurrentMessage);
		if (Last_deleted == -1) {
		    fprintf(stderr, "%s\n", lib_error);
		    return;
		}
	    } else {
		fprintf(stderr, "unexpected input: '%s'\n", parameter);
		return;
	    }
	}
	if (CurrentMessage > 0)
	    old_message = SUMMARY_NUMBER(CurrentMessage - 1);
	if (!Last_deleted) {
	    fprintf(stderr,
	       "You haven't deleted a message since entering this room.\n");
	    return;
	}
	do_connect();
	if (client_undelete(Last_deleted)) {
	    if (Snide)
		fprintf(cmdout, "message #%d resurrected.\n", Last_deleted);
	    else
		fprintf(cmdout, "message #%d restored.\n", Last_deleted);
	    update_summary(old_message);
	} else {
	    fprintf(stderr, "%s\n", client_error);
	}
    } while (*parameter);
    if (message_undeleted)
	update_summary(old_message);
}
