#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/create.c,v 1.4 1999/08/07 00:25:55 kc Exp $")

#include "header.h"

int client_create(const char *input_room, const char *summary)
{
  int code;
  char room[ROOM_SIZE];

  if(!valid(input_room)) {
    strcpy(client_error, "Invalid room name");
    return 0;
  }
  if(!valid(summary)) {
    strcpy(client_error, "Invalid summary");
    return 0;
  }
  strcpy(room, input_room);
  block();
  write_server_code(CLIENT_CREATE);
  write_socket_string(server_socket, room);
  write_socket_string(server_socket, summary);
  read_server_code(&code);
  unblock();
  return code==SERVER_ACK;
}
