#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/rename.c,v 1.4 1999/08/07 00:26:02 kc Exp $")

#include "header.h"

int client_rename(const char *new_name)
{
  int code;

  if(!valid(new_name)) {
    strcpy(client_error, "Invalid room name");
    return 0;
  }
  block();
  write_server_code(CLIENT_RENAME);
  write_socket_string(server_socket, new_name);
  read_server_code(&code);
  unblock();
  return code==SERVER_ACK;
}
