#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/roominfo.c,v 1.4 1999/08/07 00:26:03 kc Exp $")

#include "header.h"

directory_info *client_roominfo(const char *room)
{
    static directory_info entry;
    int code;

    block();
    write_server_code(CLIENT_ROOMINFO);
    write_socket_string(server_socket, room);
    read_server_code(&code);
    if (code != SERVER_ACK) {
	unblock();
	return code == SERVER_NAK ? &entry : NULL;
    }
    read_socket(server_socket, entry.name, sizeof(entry.name));
    read_socket(server_socket, entry.summary, sizeof(entry.summary));
    read_socket(server_socket, entry.owner, sizeof(entry.owner));
    read_socket_int(server_socket, (int *)&entry.priority);
    read_socket_int(server_socket, (int *)&entry.messagenumber);
    read_socket_int(server_socket, (int *)&entry.new_messages);
    read_socket_int(server_socket, (int *)&entry.class);
    read_socket_int(server_socket, (int *)&entry.default_expiration);
    read_socket_int(server_socket, (int *)&entry.default_class);
    read_socket_group_set(server_socket, &entry.groups);
    read_socket_int(server_socket, (int *)&entry.archive);
    unblock();
    return &entry;
}
