#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/select.c,v 1.4 1999/08/07 00:26:03 kc Exp $")

#include "header.h"

int client_select(const char *input_room, int *messagenumber, int *rid)
{
    int code;
    char room[80];

    if (!valid(input_room)) {
	strcpy(client_error, "invalid room name");
	return 0;
    }
    strcpy(room, input_room);
    block();
    write_server_code(CLIENT_SELECT);
    write_server(room, strlen(room));
    read_server_code(&code);
    if (code == SERVER_ACK) {
	read_socket_int(server_socket, messagenumber);
	if(server_minor >= 4) {
	    read_socket_int(server_socket, rid);
	} else {
	    *rid = -1;
	}
    }
    unblock();
    return code == SERVER_ACK;
}
