#include "header.h"

int client_signon(char *id, char *passwd,
		  int *hidden_priority, boolean create)
{
  int code;
  char user[32];
  long oldmask;

  if(!valid_id(id)) {
    strcpy(client_error, "Invalid id");
    return 0;
  }
  block();
  write_server_int(CLIENT_SIGNON);
  write_server(protocol_version, strlen(protocol_version));
  bzero(user, sizeof(user));
  strcpy(user, (*getpwuid(getuid())).pw_name);
  write_server(user, strlen(user));
  write_server(id, strlen(id));
  write_server(passwd, strlen(passwd));
  write_server(&create, sizeof(create));
  read_server_code(&code);
  if(code==SERVER_ACK) {
    read_socket_int(server_socket, hidden_priority);
  }
  sigsetmask(oldmask);
  return code==SERVER_ACK;
}
