#ifndef VMS
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/file.h>
#include <netinet/in.h>
#include <strings.h>
#include <pwd.h>
#else
#include <types.h>
#include <socket.h>
#include <file.h>
#include <in.h>
#include <string.h>
#endif VMS
#include <netdb.h>
#include <stdio.h>
#include <ctype.h>
#include <signal.h>

#include "libc.h"

#include "config.h"
#include "types.h"
#include "protocol.h"
#include "transport.h"
#include "client.h"
#include "macros.h"
#include "misc.h"

#define write_server(buf, l) write_socket(server_socket, buf, l)
#define read_server(buf, l) read_socket(server_socket, buf, l)
#define write_server_int(n) write_socket_int(server_socket, n)

extern int server_socket, server_major, server_minor;

int list_order(const void *, const void *);
