struct status {
  boolean status;
  string error<>;
}

struct _signon {
  string protocol_version<>;
  string user<>;
  string id<>;
  string passwd<>;
}

struct signon_ {
  boolean status;
  string error<>;
  priority *ignore_priority;
}

struct _change_user {
  user_id id;
  string *passwd<>;
  string *nick<>;
  string *email_address<>;
  priority *ignore_priority;
  priority *default_priority;
}

struct room_user_id {
  room_id room;
  user_id user;
}

struct _change_room_user {
  long *last_message_read;
  priority *priority;
  permission *permission;
}

struct _change_room {
  room_id room;
  string *owner<>;
  time_t *default_expiration;
  permission *default_permission;
  string *summary_line<>;
}

struct _create_room {
  string input_room<>;
}

struct message_id {
  room_id room;
  int message_number;
}

struct list_room_ {
  boolean status;
  string error<>;
  room rooms<>;
}
  
struct _change_message {
  message_id message;
  time_t *expiration;
}

struct users_ {
  boolean status;
  string error<>;
  user_id users<>;
}

struct _create_message {
  room_id room;
  string message_text<>;
}

signon_ signon(_signon);
status kill_server(void);
users_ users(void);
status signoff(void);

status create_room(_create_room);
status create_user(_create_user);
status create_message(_create_message);
status remove_room(room_id);
status remove_user(user_id);
status remove_message(message_id);
status change_room(_change_room);
status change_user(_change_user);
status change_message(_change_message);
status change_room_user(_change_room_user);
list_rooms_ list_rooms(void);
list_users_ list_users(void);
list_room_users_ list_room_users(room_id);
list_messages_ list_messages(room_id);
room get_room(room_id);
user get_user(user_id);
room_user get_room_user(room_user_id);
message get_message(message_id);
