#include "../server/database.h"

extern bb_rid Alt_last_rid;
extern bb_gid Alt_last_gid;
extern bb_uid Alt_last_uid;

int alt_database_init(int convert);
void alt_database_shutdown();
int alt_get_user_entry(user_entry *user_info, bb_uid uid);
int alt_get_directory_entry(directory_entry *directory_info, bb_rid rid);
int alt_get_room_user_entry(room_user_entry *room_user_info,
			    bb_rid rid, bb_uid uid);
bb_uid alt_get_uid(char *id);
bb_rid alt_get_rid(char *name);
bb_gid alt_get_gid(char *group);
int alt_get_group_entry(group_entry *group_info, bb_gid gid);
char *alt_get_id(bb_uid uid);

void convert_user_entry(user_entry *user_info);
void convert_directory_entry(directory_entry *directory_info);
void convert_room_user_entry(room_user_entry *room_user_info);
void convert_group_entry(group_entry *group_info);
void convert_summary_list(summary_list *summary);
