#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/group_priority.c,v 1.4 1999/03/14 23:14:34 kc Exp $")

#include "server.h"

void server_grouppriority(int i)
{
  char group[GROUP_SIZE];
  bb_priority priority;
  DbGroup db_group;
  DbUser db_user;
  bb_gid gid;

  read_socket_s(Client[i].socket, group, sizeof(group));
  read_socket_int(Client[i].socket, (int *) &priority);
  
  if((gid = get_gid(group))==-1)
    SERVER_ERROR("no such group");
  if(!get_db_group(&db_group, gid))
    SERVER_ERROR("error accessing group information");
  if(!get_db_user(&db_user, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  db_user.group_priority[gid] = priority - db_group.group_offset;
  if(!put_db_user(Client[i].uid, &db_user))
    SERVER_ERROR("error storing user information");
  update_cached_user_group_info(Client[i].uid, gid);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
