#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/list.c,v 1.5 1999/03/14 23:14:36 kc Exp $")

#include "server.h"

void server_list(int i)
{
  DbRoomUser db_room_user;
  bb_uid uid;
  const char *id;

  if(!get_db_room_directory(Client[i].rid))
    SERVER_ERROR("error accessing room information");
  for(uid = 0; uid <= Last_uid; uid++) {
    if(uid == Client[i].uid)
      id = Client[i].id;
    else
      id = get_id(uid);
    if(get_db_room_user(&db_room_user, Client[i].rid, uid) &&
       db_room_user.class != no_class) {
      write_socket_code(Client[i].socket, SERVER_ACK);
      write_socket_string(Client[i].socket, id);
      write_socket_int(Client[i].socket, db_room_user.last_message_read);
      write_socket_int(Client[i].socket, db_room_user.user_offset);
      write_socket_int(Client[i].socket, db_room_user.class);
    }
  }
  write_socket_code(Client[i].socket, SERVER_EOF);
}
