#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/remove.c,v 1.4 1999/03/14 23:14:42 kc Exp $")

#include "server.h"
#include <errno.h>

void server_remove(int i)
{
  char room[ROOM_SIZE];
  DbDirectory *db_directory;
  bb_rid rid;

  read_socket_s(Client[i].socket, room, sizeof(room));
  if((rid=get_rid(room))==-1)
    SERVER_ERROR("no such room");
  if(!(db_directory = get_db_room_directory(rid)))
    SERVER_ERROR("error accessing room information");
  if(Client[i].uid != db_directory->owner_uid && !Client[i].owner)
    SERVER_ERROR("permission denied");
  if(!remove_room(rid))
    SERVER_ERROR(error_text);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
