#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/summary.c,v 1.4 1999/03/14 23:14:47 kc Exp $")

#include "server.h"
#include <sys/errno.h>

void server_summary(int i)
{
  int msg_index;
    DbSummary *db_summary;
    DbMessage *db_message;
    DbRoom *db_room;

    if (Client[i].rid == -1)
	SERVER_ERROR("no room selected");
    if (DAEMON(Client[i].uid))
	SERVER_ERROR("permission denied");
    expire_messages(Client[i].rid);
    if (!(db_room = get_db_room(Client[i].rid)))
	SERVER_ERROR("error accessing room summary");
    /* hmmmm! -dmy */
    Bleh("server_summary (client %d, room %d)", i, Client[i].rid);
    Bleh("server summary: num_msgs %d, version %d, update_sum %d",
	 db_room->directory->num_msgs, db_room->version,
	 Client[i].update_summary);
    if (Client[i].update_summary == db_room->version) {
	write_socket_code(Client[i].socket, SERVER_NAK);
	return;
    }
  for (msg_index=0; msg_index<db_room->directory->num_msgs; msg_index++) {
    db_summary = db_room->summary[msg_index];
	db_message = &(db_summary->header);
	if (!db_message->deleted) {
	    write_socket_code(Client[i].socket, SERVER_ACK);
	    write_socket_int(Client[i].socket, db_summary->number);
	    write_socket_int(Client[i].socket, db_message->date);
	    write_socket_int(Client[i].socket, db_message->lines);
	    write_socket_string(Client[i].socket, db_message->poster_id);
	    write_socket_string(Client[i].socket,
				get_id(db_message->poster_uid));
	    write_socket_string(Client[i].socket, db_message->poster_nick);
	    write_socket_string(Client[i].socket, db_message->subject);
	    write_socket_int(Client[i].socket, db_message->expiration);
	}
    }
    write_socket_code(Client[i].socket, SERVER_EOF);
    Client[i].update_summary = db_room->version;
}
