#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/users.c,v 1.3 1999/03/14 23:14:48 kc Exp $")

#include "server.h"

void server_users(int i)
{
    int slot;

    for (slot = 0; slot <= Max_active_slot; slot++)
	if (Client[slot].signed_on) {
	    write_socket_code(Client[i].socket, SERVER_ACK);
	    write_socket_string(Client[i].socket, Client[slot].address);
	    write_socket_string(Client[i].socket, Client[slot].nick);
	    write_socket_string(Client[i].socket, Client[slot].id);
	    if (OPERATOR(Client[i].uid) ||
		((i != slot) && (Client[slot].uid == Client[i].uid))) {
		write_socket_string(Client[i].socket,
				    get_roomname(Client[slot].rid));
	    } else {
		write_socket_string(Client[i].socket, "");
	    }
	    write_socket_int(Client[i].socket,
			     MAX(0, Now - Client[slot].last_action));
	    if (OPERATOR(Client[i].uid) ||
		((i != slot) && (Client[slot].uid == Client[i].uid))) {
		write_socket_int(Client[i].socket, slot);
	    } else {
		write_socket_int(Client[i].socket, -1);
	    }
	    if (Client[i].minor_version >= 2) {
		write_socket_int(Client[i].socket, Client[slot].major_version);
		write_socket_int(Client[i].socket, Client[slot].minor_version);
	    }
	}
    write_socket_code(Client[i].socket, SERVER_EOF);
}
