#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/changeclass.c,v 1.4 1999/08/07 00:27:04 kc Exp $")

#include "bb.h"

void changeclass(char *parameter)
{
    char id[BUFFER_SIZE], class_string[BUFFER_SIZE], group[BUFFER_SIZE];
    class_t class;
    boolean prompt_user;
    int opt;
    char *optnames[] = {"group"};
    enum {
	group_f
    };
    boolean opts[lengthof(optnames)];

    for (opt = 0; opt < lengthof(opts); opt++)
	opts[opt] = FALSE;
    while (*parameter && isopt(*parameter)) {
	char *word;

	strcpy(parameter, parameter + 1);
	opt = match(word = getword(parameter), optnames, lengthof(opts));
	if (opt != -1) {
	    opts[opt] = TRUE;
	    switch (opt) {
	    case group_f:
		if (*parameter != '=') {
		    fprintf(stderr, "value expected for /%s\n", optnames[opt]);
		    return;
		}
		strcpy(parameter, parameter + 1);
		strcpy(group, get_group(parameter));
		break;
	    }
	} else {
	    fprintf(stderr, "unrecognized qualifier /%s\n", word);
	    return;
	}
    }
    if (*(strcpy(class_string, getword(parameter))) == '\0') {
	printlist(Classes, lengthof(Classes));
	if (!prompt("new class: ", class_string))
	    return;
    }
    if (!*class_string)
	return;
    class = match(getword(class_string), Classes, lengthof(Classes));
    if (class == -1) {
	fprintf(stderr, "no such class %s\n", class_string);
	return;
    }
    prompt_user = !*parameter;
    if (opts[group_f])
	fprintf(cmdout, "modifying group %s:\n", group);
    do_connect();
    while ((prompt_user && prompt("id: ", id) && *id) ||
	   (!prompt_user && *(strcpy(id, getword(parameter))) != '\0')) {
	if (opts[group_f] ?
	    client_group_changeclass(group, id, class):
	    client_changeclass(id, class))
	    fprintf(cmdout, "%s changed to class %s\n", id, Classes[class]);
	else
	    fprintf(cmdout, "%s not changed: %s\n", id, client_error);
    }
}
