#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/create.c,v 1.4 1999/08/07 00:27:05 kc Exp $")

#include "bb.h"

void create(char *parameter)
{
  char name[BUFFERSIZE] = "", summary[BUFFERSIZE] = "", yesno[BUFFERSIZE] = "";
  int message_number;

  int opt;
  char *optnames[] = {"group"};
  enum {group_f};
  boolean opts[lengthof(optnames)];

  for(opt=0; opt<lengthof(opts); opt++) opts[opt] = FALSE;
  while(*parameter) {
    if(isopt(*parameter)) {
      char *word;
      strcpy(parameter, parameter+1);
      if((opt=match(word=getword(parameter), optnames, lengthof(opts)))!=-1) {
	opts[opt] = TRUE;
      } else {
	fprintf(stderr, "unrecognized qualifier /%s\n", word);
	return;
      }
    } else {
      if(!*name) strcpy(name, getword(parameter));
      else if(!opts[group_f] && !*summary) 
	strcpy(summary, getline(parameter, TRUE));
      else {
	fprintf(stderr, "unexpected input: '%s'\n", parameter);
	return;
      }
    }
  }
  do_connect();
  if(opts[group_f]) {
    if(!*name) {
      prompt("group? ", name);
      if(!*name) return;
    }
    if(!client_group_create(name)) {
      fprintf(stderr, "error creating group %s: %s\n", name, client_error);
      return;
    }
    fprintf(cmdout, "group %s created.\n", name);
    return;
  }
  if(!*name) {
    prompt("room? ", name);
    if(!*name) return;
  }
  help(".create_prologue");
  prompt("Do you wish to proceed? ", yesno);
  if(*yesno != 'y' && *yesno != 'Y') return;
  if(!*summary) {
    help(".create_summary");
    prompt("summary? ", summary);
    if(!*summary) return;
  }
  if(!client_create(name, summary)) {
    fprintf(stderr, "error creating room %s: %s\n", name, client_error);
    return;
  }
  fprintf(cmdout, "room %s created.\n", name);
  if(!client_select(name, &message_number, &Room_id)) {
    fprintf(stderr, "error selecting %s: %s\n", name, client_error);
    return;
  }
  strcpy(Roomname, name);
  CurrentMessage = Lastmessage = Last_deleted = 0;
  help(".create_purpose");
  page_end();
  post("Room purpose");
  help(".create_postscript");
}
