#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/cutoff.c,v 1.4 1999/08/07 00:27:05 kc Exp $")

#include "bb.h"

void cutoff(char *parameter)
{
  char *priority_s;
  int priority_n;

  priority_s = getword(parameter);
  if(*parameter) {
    fprintf(stderr, "unexpected input: '%s'\n", parameter);
    return;
  }
  if (*priority_s == '\0') {
    fprintf(cmdout, "Cutoff priority is at %d.\n", (int)Cutoff_priority);
    return;
  }
  if (sscanf(priority_s, "%d", &priority_n)!=1) {
    fprintf(stderr, "invalid priority %s\n", priority_s);
    return;
  }

  do_connect();
  if(client_cutoff(priority_n)) {
    fprintf(cmdout, "Cutoff priority changed from %d to %d.\n",
	    (int)Cutoff_priority, priority_n);
    Cutoff_priority = priority_n;
  } else {
    fprintf(stderr, "%s\n", client_error);
  }
}
