#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/delete.c,v 1.4 1999/08/07 00:27:05 kc Exp $")

#include "bb.h"

int Last_deleted = 0;

void delete_command(char *parameter)
{
    int delete_message;
    int old_message = 0;
    boolean message_deleted = FALSE;

    if (CurrentMessage > 0)
	old_message = SUMMARY_NUMBER(CurrentMessage - 1);
    do_connect();
    do {
	delete_message = get_message_number(parameter, CurrentMessage);
	if (delete_message == -1) {
	    fprintf(stderr, "%s\n", lib_error);
	    return;
	}
	if (client_delete(delete_message)) {
	    if (Snide)
		fprintf(cmdout, "message #%d toasted.\n", delete_message);
	    else
		fprintf(cmdout, "message #%d deleted.\n", delete_message);
	    Last_deleted = delete_message;
	    message_deleted = TRUE;
	} else {
	    fprintf(stderr, "%s\n", client_error);
	}
    } while (*parameter);
    if (message_deleted)
	update_summary(old_message);
}
