#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/remove.c,v 1.4 1999/08/07 00:27:13 kc Exp $")

#include "bb.h"

void bb_remove(char *parameter)
{
  char *name;

  int opt;
  char *optnames[] = {"group", "noconfirm"};
  enum {group_f, no_confirm_f};
  boolean opts[lengthof(optnames)];
  char prompt_s[LINE_SIZE], confirm[LINE_SIZE];

  do_connect();
  for(opt=0; opt<lengthof(opts); opt++) opts[opt] = FALSE;
  while(*parameter) {
    if(isopt(*parameter)) {
      char *word;
      strcpy(parameter, parameter+1);
      if((opt=match(word=getword(parameter), optnames, lengthof(opts)))!=-1) {
	opts[opt] = TRUE;
      } else {
	fprintf(stderr, "unrecognized qualifier /%s\n", word);
	return;
      }
    } else {
      name = opts[group_f] ? get_group(parameter) : get_room(parameter);
      if(!opts[no_confirm_f]) {
	sprintf(prompt_s, "removing %s %s:  are you sure? ",
		opts[group_f] ? "group" : "room", name);
	prompt(prompt_s, confirm);
	if(*confirm != 'y' && *confirm != 'Y') {
	  if(Snide) fprintf(stderr, "No way, dude!\n");
	  else fprintf(stderr, "%s %s not removed\n",
		       opts[group_f] ? "group" : "room", name);
	  continue;
	}
      }
      if(opts[group_f]) {
	if(client_group_remove(name)) {
	  fprintf(cmdout, "group %s deleted\n", name);
	} else {
	  fprintf(stderr, "group %s: %s\n", name, client_error);
	}
      } else {
	if(client_remove(name)) {
	  fprintf(cmdout, "room %s deleted\n", name);
	  if(strcmp(name, Roomname) == 0)
	    goroom(Defaultroom);
	} else {
	  fprintf(stderr, "room %s: %s\n", name, client_error);
	}
      }
    }
  }
}
