#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/reply.c,v 1.6 1999/08/07 00:27:14 kc Exp $")

#include "bb.h"

void reply(char *parameter)
{
    user_info *info;
    int i, message;
    char *mail_address, *s;
    char daemon_address[BUFFER_SIZE];
    char mail_command[BUFFER_SIZE], mailer[BUFFER_SIZE], subject[BUFFER_SIZE];
    char old_subject[BUFFER_SIZE], new_subject[BUFFER_SIZE];
    header_info *entry = NULL;

    if ((message = get_message_number(parameter, CurrentMessage)) == -1) {
	fprintf(stderr, "No such message.\n");
	return;
    }
    for (i = 1; i <= Lastmessage && SUMMARY_NUMBER(i - 1) != message; i++);
    if (SUMMARY_NUMBER(i - 1) != message) {
	fprintf(stderr, "No such message.\n");
	return;
    }
    do_connect();
    entry = SUMMARY(i - 1);
    if (strcmp(entry->id, "daemon") == 0) {
	strcpy(daemon_address, entry->nick);
	mail_address = (char *)index(daemon_address, '<');
	mail_address = mail_address ? mail_address + 1 : daemon_address;
	s = (char *)index(mail_address, '>');
	if (s)
	    *s = '\0';
	s = (char *)index(mail_address, '(');
	if (s)
	    *s = '\0';
    } else {
        if (!(info = client_whois(entry->id))) {
	    printf("%s: %s\n", entry->id, client_error);
	    return;
	}
	mail_address = *info->mail_address ?
	  info->mail_address : info->last_access_source;
    }
    fprintf(cmdout, "Sending mail to <%s> (%s)\n",
	    entry->id, mail_address);
    if (index(Mailer, '%')) {
	strcpy(old_subject,
	       strncmp(entry->subject, "Re #", 4) ?
	       entry->subject :
	       (s = (char *)index(entry->subject, ':')) ?
	       s + 2 :
	       entry->subject);
	strcpy(new_subject, getline(parameter, FALSE));
	if (!*new_subject) {
	    fprintf(cmdout, "old subject: %s\n", old_subject);
	    if (!prompt("new subject? ", new_subject))
		return;
	}
	if (!*new_subject)
	    fprintf(cmdout, "old subject kept.\n");
	sprintf(subject, "Re: %s #%d: %s",
		Roomname, message, *new_subject ? new_subject : old_subject);
	sprintf(mailer, Mailer, literal(subject));
    } else
	strcpy(mailer, Mailer);
    sprintf(mail_command, "%s %s", mailer, mail_address);
    if (Debug & DEBUG_MISC)
	fprintf(Debug_file, "!%s\n", mail_command);
    system(mail_command);
}
