#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/selectroom.c,v 1.4 1999/08/07 00:27:15 kc Exp $")

#include "bb.h"

void selectroom(char *parameter)
{
    int current_message, rid;
    extern int Last_deleted;
    char tmp[BUFFERSIZE];
    char *c;

    if (Hooks) {
	strcpy(tmp, Roomname);
	strcat(tmp, ".exit");
	if (!(c = find_file(tmp))) {
	    if ((c = find_file("DEF.exit")))
		run(c);
	} else
	    run(c);
    }
    do_connect();
    if (!client_select(parameter, &current_message, &rid)) {
	fprintf(stderr, "%s: %s\n", parameter, client_error);
	if (!client_select(Roomname, &current_message, &rid)) {
	    *Roomname = '\0';
	    Room_id = -1;
	    Crypt = FALSE;
	    if (Environment) {
		putenv("BB_ROOM=");
		putenv("BB_GROUP=");
	    }
	    CurrentMessage = Lastmessage = Last_deleted = 0;
	}
	return;
    }
    Old_summary = Old_summary || rid == -1;
    strcpy(Roomname, parameter);
    Room_id = rid;
    Last_deleted = 0;
    Crypt = FALSE;
    if (Environment) {
	directory_info *room_info;
	static char Room_env[BUFFER_SIZE], Group_env[BUFFER_SIZE];

	sprintf(Room_env, "BB_ROOM=%s", Roomname);
	putenv(Room_env);
	if (room_info = client_roominfo(Roomname)) {
	    sprintf(Group_env, "BB_GROUP=%s",
		    group_names(&room_info->groups, NULL));
	    putenv(Group_env);
	}
    }
    update_summary(current_message);
    if (Hooks) {
	strcpy(tmp, Roomname);
	strcat(tmp, ".entry");
	if (!(c = find_file(tmp))) {
	    if (!(c = find_file("DEF.entry")))
		return;
	}
	run(c);
    }
}

void update_summary(int current_message)
{
    if (Old_summary) {
	result_list *summary;

	if (!(summary = client_summary())) {
	    fprintf(stderr, "%s\n", client_error);
	    return;
	}
	Lastmessage = summary->count;
	Summary = (header_info **)summary->list;
    } else {
	result_list *message_numbers;

	if (!(message_numbers = client_message_numbers(Room_id))) {
	    fprintf(stderr, "%s\n", client_error);
	    return;
	}
	Lastmessage = message_numbers->count;
	Message_numbers = (int *)message_numbers->list;
    }
    CurrentMessage = nearest_vnum(current_message);
}
