#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/bb/source.c,v 1.4 1999/08/07 00:27:17 kc Exp $")

#include "bb.h"
#include "../lib/misc.h"

int Source_level = -1;
char stdin_string[] = "(standard input)";

void source(char *parameter)
{
  static FILE *file[MAX_SOURCE_LEVEL];
  static char name[MAX_SOURCE_LEVEL][BUFFER_SIZE];
  char *filename;
  char params[BUFFER_SIZE];

  strcpy(params, parameter);
  filename = getline(params, FALSE);
  if(!*filename) {
    static char name[BUFFER_SIZE];
    filename=name;
    prompt("source file: ", filename);
    if(!*filename) return;
  }
  if(strcmp(filename, "/return")==0) {
    if(Infile!=stdin) fclose(Infile);
    switch(Source_level--) {
    case -1:
      quit("");
      break;
    case 0:
      Infile = stdin;
      Infilename = stdin_string;
      break;
    default:
      Infile = file[Source_level];
      Infilename = name[Source_level];
      break;
    }
  } else {
    if(Source_level+1 >= MAX_SOURCE_LEVEL) {
      fprintf(stderr, "%s: procedure file nesting limit exceeded\n", filename);
      return;
    }
    if(strcmp(filename, "-")==0) {
      file[Source_level+1] = stdin;
      strcpy(name[Source_level+1], stdin_string);
    } else {
      strcpy(name[Source_level+1], filename);
      if(!(filename = find_file(filename))) {
	perror(name[Source_level+1]);
	return;
      }
      if(!(file[Source_level+1]=fopen(filename, "r"))) {
	perror(filename);
	return;
      }
    }
    Source_level++;
    Infile = file[Source_level];
    Infilename = name[Source_level];
  }
}
