#ifndef _BB_AR_H
#define _BB_AR_H

#include <stdio.h>

struct index {
    char name[20];
    int pos;
    int size;
};

typedef struct {
    FILE *file;
    struct index **index;
    int index_size;
    int last_pos;
    int indexed;
    char *buf;
} AR;

AR *ar_open(const char *filename, const char *mode);
void ar_close(AR *ar);
char *ar_get(AR *ar, const char *name);
int ar_put(AR *ar, const char *name, const int uid, const int date,
	       const char *buf, const int length);
int ar_delete(AR *ar, const char *name);

#endif				/* _BB_AR_H */
