#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/post.c,v 1.4 1999/08/07 00:26:01 kc Exp $")

#include "header.h"

int client_post(const char *subject, const char *buf, int buf_l)
{
  int	code;

  if(!valid(subject)) {
    strcpy(client_error, "invalid characters in subject line");
    return 0;
  }
  block();
  write_server_code(CLIENT_POST);
  read_server_code(&code);
  if(code!=SERVER_ACK) {
    unblock();
    return 0;
  }
  write_server(subject, strlen(subject));
  write_server(buf, buf_l);
  read_server_code(&code);
  unblock();
  return code==SERVER_ACK;
}
