#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/protocol.c,v 1.3 1999/08/07 00:26:02 kc Exp $")

#include "header.h"

int client_protocol()
{
    int code;

    block();
    write_server_code(CLIENT_PROTOCOL);
    write_socket_int(server_socket, PROTOCOL_MAJOR);
    write_socket_int(server_socket, PROTOCOL_MINOR);
    read_server_code(&code);
    if (code != SERVER_ACK) {
	server_close();
    } else {
	read_socket_int(server_socket, &server_major);
	read_socket_int(server_socket, &server_minor);
	if(server_major != PROTOCOL_MAJOR) {
	    sprintf(client_error,
		    "incompatible protocols\n\tclient: %d.%d\n\tserver: %d.%d",
		    PROTOCOL_MAJOR, PROTOCOL_MINOR,
		    server_major, server_minor);
	    server_close();
	    unblock();
	    return 0;
	}
    }
    unblock();
    return code == SERVER_ACK;
}
