#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/setname.c,v 1.4 1999/08/07 00:26:05 kc Exp $")

#include "header.h"

int client_setname(const char *new_id)
{
  int code;

  if(!valid_id(new_id)) {
    strcpy(client_error, "Invalid id");
    return 0;
  }
  block();
  write_server_code(CLIENT_SETNAME);
  write_socket_string(server_socket, new_id);
  read_server_code(&code);
  unblock();
  return code==SERVER_ACK;
}
