#include "../rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/lib/client/whois.c,v 1.4 1999/08/07 00:26:07 kc Exp $")

#include "header.h"

user_info *client_whois(const char *id)
{
    int code;
    static user_info entry;

    block();
    write_server_code(CLIENT_WHOIS);
    write_socket_string(server_socket, id);
    read_server_code(&code);
    if (code != SERVER_ACK) {
	unblock();
	return NULL;
    }
    read_socket(server_socket, entry.id, sizeof(entry.id));
    read_socket(server_socket, entry.nick, sizeof(entry.nick));
    read_socket(server_socket, entry.last_access_source,
		sizeof(entry.last_access_source));
    read_socket(server_socket, entry.mail_address, sizeof(entry.mail_address));
    read_socket_int(server_socket, (int *)&entry.last_access_time);
    read_socket_int(server_socket, &entry.uses);
    read_socket_int(server_socket, &entry.posts);
    read_socket_int(server_socket, (int *)&entry.connect_time);
    unblock();
    return &entry;
}
