#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/delete.c,v 1.5 1999/03/14 23:14:30 kc Exp $")

#include "server.h"

void server_delete(int i)
{
    int message;
    DbMessage db_message;

    read_socket_int(Client[i].socket, &message);
    if (DAEMON(Client[i].uid))
	SERVER_ERROR("permission denied");
    if (!db_get_db_message(&db_message, Client[i].rid, message))
	SERVER_ERROR("no such message");
    if (Client[i].uid != db_message.poster_uid &&
	!MODERATOR_ACCESS(get_class(i, Client[i].rid)) &&
	!Client[i].owner)
	SERVER_ERROR("permission denied");
    if (Client[i].uid != db_message.poster_uid &&
	!DAEMON(db_message.poster_uid)) {
	char subject[LINE_SIZE];

	sprintf(subject, "%s #%d deleted by <%s> (%d)",
		get_roomname(Client[i].rid), message,
		Client[i].id, (int)Client[i].uid);
	mail_message(Client[i].rid, message,
		     Client[i].uid, db_message.poster_uid, subject);
    }
    db_message.deleted = 1;
    if (!put_db_message(Client[i].rid, message, &db_message))
	SERVER_ERROR("database error deleting message");
    if (!get_db_room_directory(Client[i].rid))
	SERVER_ERROR("error accessing room information");
    write_socket_code(Client[i].socket, SERVER_ACK);
    return;
}
