#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/group_add.c,v 1.4 1999/03/14 23:14:32 kc Exp $")

#include "server.h"

void server_groupadd(int i)
{
  char group[GROUP_SIZE];
  char room[ROOM_SIZE];
  group_info *groupinfo;
  DbDirectory *db_directory;
  bb_gid gid;
  bb_rid rid;

  read_socket_s(Client[i].socket, group, sizeof(group));
  read_socket_s(Client[i].socket, room, sizeof(room));
  if((gid = get_gid(group))==-1)
    SERVER_ERROR("no such group");
  if((rid = get_rid(room))==-1)
    SERVER_ERROR("no such room");
  if(!(groupinfo = get_group_info(i, gid)))
    SERVER_ERROR("error accessing group/user information");
  if(!WRITE_ACCESS(groupinfo->class) && !Client[i].owner)
    SERVER_ERROR("permission denied");
  if(!(db_directory = get_db_room_directory(rid)))
    SERVER_ERROR("error accessing group information");
  GROUP_SET(gid, &db_directory->groups);
  /* don't need to store summary */
  if(!put_db_room(rid))
    SERVER_ERROR("error storing group information");
  write_socket_code(Client[i].socket, SERVER_ACK);
}
