#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/group_create.c,v 1.4 1999/03/14 23:14:33 kc Exp $")

#include "server.h"

void server_groupcreate(int i)
{
  char group[GROUP_SIZE];
  bb_gid gid;
  DbGroup db_group;
  DbUser db_user;

  read_socket_s(Client[i].socket, group, sizeof(group));
  if(get_gid(group)!=-1)
    SERVER_ERROR("group already exists");
  if(!Client[i].owner)
    SERVER_ERROR("permission denied");
  gid = add_gid(group);
  strcpy(db_group.name, group);
  db_group.owner = Client[i].uid;
  db_group.default_class = DEFAULT_GROUP_CLASS;
  db_group.group_offset = DEFAULT_GROUP_OFFSET;
  db_group.max_expiration = MAX_EXPIRATION;
  if(!put_db_group(gid, &db_group))
    SERVER_ERROR("error storing group information");
  if(!get_db_user(&db_user, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  db_user.group_class[gid] = moderator;
  if(!(put_db_user(Client[i].uid, &db_user)))
    SERVER_ERROR("error storing user information");
  update_cached_user_group_info(Client[i].uid, gid);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
