#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/group_directory.c,v 1.3 1999/03/14 23:14:33 kc Exp $")

#include "server.h"

void server_groupdirectory(int i)
{
  group_info *groupinfo;
  bb_gid gid;

  for(gid=0; gid <= Last_gid; gid++) {
    if(!(groupinfo = get_group_info(i, gid))) continue;
    if(READ_ACCESS(groupinfo->class) || Client[i].owner) {
      write_socket_code(Client[i].socket, SERVER_ACK);
      write_socket_string(Client[i].socket, groupinfo->name);
      write_socket_string(Client[i].socket, groupinfo->owner);
      write_socket_int(Client[i].socket, groupinfo->default_class);
      write_socket_int(Client[i].socket, groupinfo->max_expiration);
      write_socket_int(Client[i].socket, groupinfo->priority);
      write_socket_int(Client[i].socket, groupinfo->class);
      write_socket_int(Client[i].socket, groupinfo->gid);
    }
  }
  write_socket_code(Client[i].socket, SERVER_EOF);
}
