#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/passwd.c,v 1.4 1999/03/14 23:14:38 kc Exp $")

#include "server.h"

void server_passwd(int i)
{
  DbUser db_user;
  char passwd[10], saltc[2];
  time_t salt;
  int c, j;

  read_socket_s(Client[i].socket, passwd, sizeof(passwd));
  if(DAEMON(Client[i].uid))
    SERVER_ERROR("permission denied");
  if(!get_db_user(&db_user, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  time(&salt);
  saltc[0] = salt & 077;
  saltc[1] = (salt>>6) & 077;
  for(j=0; j<2; j++) {
    c = saltc[j] + '.';
    if(c > '9') c += 7;
    if(c > 'Z') c += 6;
    saltc[j] = c;
  }
  strcpy(db_user.passwd, (char *) crypt(passwd, saltc));
  if(!put_db_user(Client[i].uid, &db_user))
    SERVER_ERROR("error storing user information");
  write_socket_code(Client[i].socket, SERVER_ACK);
  return;
}
