#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/priority.c,v 1.4 1999/03/14 23:14:40 kc Exp $")

#include "server.h"

void server_priority(int i)
{
  char room[ROOM_SIZE];
  int priority;
  DbDirectory *db_directory;
  bb_rid rid;
  DbRoomUser db_room_user;

  read_socket_s(Client[i].socket, room, sizeof(room));
  read_socket_int(Client[i].socket, &priority);
  if((rid=get_rid(room)) == -1)
    SERVER_ERROR("no such room");
  if(!(db_directory = get_db_room_directory(rid)))
    SERVER_ERROR("error accessing room information");
  if(!get_db_room_user(&db_room_user, rid, Client[i].uid)) {
    db_room_user.last_message_read = 0;
    db_room_user.class = no_class;
    db_room_user.user_offset = DEFAULT_USER_OFFSET;
  }
  priority -= delta_priority(i, db_directory->groups);
  db_room_user.user_offset = priority;
  if(!put_db_room_user(rid, Client[i].uid, &db_room_user))
    SERVER_ERROR("error storing room information");
  write_socket_code(Client[i].socket, SERVER_ACK);
}
