#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/roominfo.c,v 1.3 1999/03/14 23:14:43 kc Exp $")

#include "server.h"

void server_roominfo(int i)
{
    directory_info *dir_info;
    char room[ROOM_SIZE];
    int rid;

    read_socket_s(Client[i].socket, room, sizeof(room));
    if ((rid = get_rid(room)) == -1)
	SERVER_ERROR("no such room");
    if (!(dir_info = get_dir_info(i, rid)))
	SERVER_ERROR(error_text);
    if (!READ_ACCESS(dir_info->class) && !Client[i].owner)
	SERVER_ERROR("access denied");
    write_socket_code(Client[i].socket, SERVER_ACK);
    write_socket_string(Client[i].socket, dir_info->name);
    write_socket_string(Client[i].socket, dir_info->summary);
    write_socket_string(Client[i].socket, dir_info->owner);
    write_socket_int(Client[i].socket, dir_info->priority);
    write_socket_int(Client[i].socket, dir_info->messagenumber);
    write_socket_int(Client[i].socket, dir_info->new_messages);
    write_socket_int(Client[i].socket, dir_info->class);
    write_socket_int(Client[i].socket, dir_info->default_expiration);
    write_socket_int(Client[i].socket, dir_info->default_class);
    write_socket_group_set(Client[i].socket, &dir_info->groups);
    if (Client[i].minor_version >= 1) {
	write_socket_int(Client[i].socket, dir_info->archive);
    }
}
