#include "../lib/rcsid.h"

RCS_ID("$Header: /NetworkDisk/Source/CVS/Staff/kc/bb/server/setname.c,v 1.4 1999/03/14 23:14:45 kc Exp $")

#include "server.h"

void server_setname(int i)
{
  char new_name[ID_SIZE];
  DbUser userinfo;

  read_socket_s(Client[i].socket, new_name, sizeof(new_name));
  if(!DAEMON(Client[i].uid)) {
    if(get_uid(new_name) != -1)
      SERVER_ERROR("id already exists");
    if(!get_db_user(&userinfo, Client[i].uid))
      SERVER_ERROR("error accessing user information");
    if(!put_uid(new_name, Client[i].uid))
      SERVER_ERROR("error storing new id");
    if(!remove_uid(userinfo.id))
      SERVER_ERROR("error removing old id");
    strncpy(userinfo.id, new_name, sizeof(userinfo.id));
    if(!put_db_user(Client[i].uid, &userinfo))
      SERVER_ERROR("error storing updated user information");
  }
  strncpy(Client[i].id, new_name, sizeof(Client[i].id));
  write_socket_code(Client[i].socket, SERVER_ACK);
}
